> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pod Logs Api

> Get logs for a pod.

Args:
    tail: Number of most recent logs to return (default: 100)



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/pods/{pod_id}/log
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/pods/{pod_id}/log:
    get:
      tags:
        - Pods
      summary: Get Pod Logs Api
      description: |-
        Get logs for a pod.

        Args:
            tail: Number of most recent logs to return (default: 100)
      operationId: get_pod_logs_api_api_v1_pods__pod_id__log_get
      parameters:
        - name: pod_id
          in: path
          required: true
          schema:
            type: string
            title: Pod Id
        - name: tail
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Tail
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````